-- ---------------------------------------------------------------------------
-- Server configuration
-- ---------------------------------------------------------------------------

-- `itte_admins`
-- Users who can access administrative functions in the client, not limited to
-- the server instance. The username is for the client only and independent of
-- IRC network usernames.
--
-- This variable is optional, but certain handlers like server disconnection
-- will not work if it is unset.
itte_admins = { globaladmin = "password", }


-- `itte_servers`
-- Below is a sample server configuration.
-- If the server does not support CAP negotiation (used for SASL
-- authentication), set: cap = nil
-- `auth_type` options: nil, "pass", "sasl", "nickserv"
-- ]]
itte_servers = {
  server_name = {
    host = "irc.example.tld",
    port = 6667,
    channels = { "#channel-name" },
    cap = { "sasl" },
    nick = "botnick",
    auth_type = nil,
    auth_user = "botuser",
    auth_pass = "password",
    code_prefix = "!",
    admins = { adminuser = "password", },
  },
}
